import { ReadonlyDeep } from "type-fest";
import Camera, { UvcControl } from "uvc-control";
import CameraControlHelperClass from "./camera-control-helper";
export default class CameraControlHelperFactory {
    private readonly UVCControl;
    private readonly CameraControlHelper;
    constructor(UVCControl: ReadonlyDeep<UvcControl>, CameraControlHelper: typeof CameraControlHelperClass);
    get(camera: ReadonlyDeep<Camera>): Promise<CameraControlHelperClass>;
}
