import Camera, { UvcControl } from "uvc-control";
import Output from "./output";
export default class CameraFactory {
    private readonly output;
    private readonly UVCControl;
    constructor(output: Output, UVCControl: UvcControl);
    get(vendor: number | null, product: number | null, address: number | null): Promise<Camera>;
    private createWrappedError;
}
