import Camera from "uvc-control";
import { ReadonlyDeep } from "type-fest";
import CameraControlHelperFactory from "./camera-control-helper-factory";
import CameraHelperClass from "./camera-helper";
import Output from "./output";
export default class CameraHelperFactory {
    private readonly output;
    private readonly cameraControlHelperFactory;
    private readonly CameraHelper;
    constructor(output: ReadonlyDeep<Output>, cameraControlHelperFactory: ReadonlyDeep<CameraControlHelperFactory>, CameraHelper: typeof CameraHelperClass);
    get(camera: ReadonlyDeep<Camera>): Promise<CameraHelperClass>;
}
