import { Command, CommandHandlerArgumentNames } from "../types/command";
import UvcDeviceLister from "../uvc-device-lister";
export default class DevicesCommand implements Command {
    private readonly uvcDeviceLister;
    constructor(uvcDeviceLister: UvcDeviceLister);
    getArguments(): Promise<CommandHandlerArgumentNames[]>;
    execute(): Promise<unknown>;
}
