import { ReadonlyDeep } from "type-fest";
import { ControlRange } from "uvc-control";
import { Command, CommandHandlerArgumentNames } from "../types/command";
export default class RangeCommand implements Command {
    constructor();
    getArguments(): Promise<CommandHandlerArgumentNames[]>;
    execute(...args: readonly unknown[]): Promise<ReadonlyDeep<ControlRange>>;
}
