import CameraHelper from "../camera-helper";
import { RuntimeConfigurationKeys, RuntimeConfigurationTypes } from "../runtime-configurator";
export declare type CommandName = string;
export declare const CommandHandlerArgumentCameraHelper = "cameraHelper";
export declare type CommandHandlerArgumentNames = RuntimeConfigurationKeys | typeof CommandHandlerArgumentCameraHelper;
export declare type CommandHandlerArgumentTypes = RuntimeConfigurationTypes | CameraHelper;
export declare type CommandHandlerLookup = Record<CommandHandlerArgumentNames, CommandHandlerArgumentTypes>;
export interface Command {
    execute: (...args: readonly unknown[]) => Promise<unknown>;
    getArguments: () => Promise<CommandHandlerArgumentNames[]>;
}
export declare type Commands = Record<string, Command>;
