import { ReadonlyDeep } from "type-fest";
import { UvcControl } from "uvc-control";
export interface MappedUvcDevice {
    readonly name: string;
    readonly vendor: number;
    readonly product: number;
    readonly address: number;
}
export default class UvcDeviceLister {
    private readonly UVCControl;
    constructor(UVCControl: ReadonlyDeep<UvcControl>);
    get(): Promise<readonly MappedUvcDevice[]>;
}
