import { ReadonlyDeep } from "type-fest";
import { Command, CommandHandlerArgumentNames } from "../types/command";
import { UvccControls } from "../types/controls";
export default class ExportCommand implements Command {
    constructor();
    getArguments(): Promise<CommandHandlerArgumentNames[]>;
    execute(...args: readonly unknown[]): Promise<ReadonlyDeep<UvccControls>>;
}
