import { ReadonlyDeep } from "type-fest";
import { ControlRanges } from "../camera-helper";
import { Command, CommandHandlerArgumentNames } from "../types/command";
export default class RangesCommand implements Command {
    constructor();
    getArguments(): Promise<CommandHandlerArgumentNames[]>;
    execute(...args: readonly unknown[]): Promise<ReadonlyDeep<ControlRanges>>;
}
