export declare type RuntimeConfiguration = {
    address: number;
    cmd: string;
    control?: string;
    product: number;
    values: readonly number[];
    vendor: number;
    verbose: boolean;
};
export declare type RuntimeConfigurationKeys = keyof RuntimeConfiguration;
export declare type RuntimeConfigurationTypes = readonly number[] | number | string | boolean | undefined;
export default function runtimeConfigurator(): RuntimeConfiguration;
